package com.caliverse.admin.dynamodb.domain.doc;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import software.amazon.awssdk.enhanced.dynamodb.mapper.annotations.DynamoDbAttribute;
import software.amazon.awssdk.enhanced.dynamodb.mapper.annotations.DynamoDbBean;

@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@DynamoDbBean
public class BuildingDoc extends DynamoDBDocBase {
    private String buildingAttrib;

    public String getAttribFieldName() {
        return "BuildingAttrib";
    }

    @DynamoDbAttribute("BuildingAttrib")
    @JsonProperty("BuildingAttrib")
    public String getAttribValue() {
        return buildingAttrib;
    }

    public void setAttribValue(String value) {
        this.buildingAttrib = value;
    }
}

